# Generated by Django 3.2 on 2024-04-06 20:41

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Receita',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.DateField()),
                ('valor', models.DecimalField(decimal_places=2, default=0.0, max_digits=11)),
                ('quantidade', models.IntegerField(default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'venda receita',
                'verbose_name_plural': 'vendas receita',
                'db_table': 'receita_venda',
            },
        ),
        migrations.CreateModel(
            name='ReceitaConsolidacao',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.DateField()),
                ('valor', models.DecimalField(decimal_places=2, max_digits=14)),
                ('centro_custo', models.CharField(max_length=200, unique=True)),
                ('dre_subgrupo', models.CharField(max_length=200, unique=True)),
                ('versao', models.CharField(max_length=200, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name': 'Consolidação da Receita',
                'verbose_name_plural': 'Consolidação da Receita',
                'db_table': 'receita_consolidacao',
            },
        ),
    ]
